### Function

# GLib SList remove_all

#### Declaration [src]

    GSList*
    g_slist_remove_all (
      GSList* list,
      gconstpointer data
    )

#### Description [src]

Removes all list nodes with data equal to `data`. Returns the new head of the list. Contrast with `g_slist_remove()` which removes only the first node matching the given data.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

`data`

  Type: `gconstpointer`

  Data to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

New head of `list`.

The data is owned by the called function.